libzypp 17.37.10

CleanerData Struct Reference

## Public Member Functions
| CleanerData ()
void | run ()

## Static Public Member Functions
static CleanerData & | instance ()

## Public Attributes
std::mutex | _m
std::condition_variable | _cv
std::vector< pid_t > | _watchedPIDs

## Detailed Description

Definition at line 24 of file CleanerThread.cc.

## Constructor & Destructor Documentation

## ◆ CleanerData()

CleanerData::CleanerData | ( |  | ) |
| inline

Definition at line 34 of file CleanerThread.cc.

## Member Function Documentation

## ◆ instance()

CleanerData & CleanerData::instance | ( |  | ) |
| inline static

Definition at line 26 of file CleanerThread.cc.

## ◆ run()

void CleanerData::run | ( |  | ) |
| inline

Definition at line 42 of file CleanerThread.cc.

## Member Data Documentation

## ◆ _m

std::mutex CleanerData::_m

Definition at line 69 of file CleanerThread.cc.

## ◆ _cv

std::condition_variable CleanerData::_cv

Definition at line 70 of file CleanerThread.cc.

## ◆ _watchedPIDs

std::vector<pid_t> CleanerData::_watchedPIDs

Definition at line 72 of file CleanerThread.cc.

The documentation for this struct was generated from the following file:

- zypp-core/base/CleanerThread.cc